org.encog.app.analyst.csv.process

## Class ProcessExtension

- java.lang.Object
- - org.encog.app.analyst.csv.process.ProcessExtension

-     public class ProcessExtension
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `EXTENSION_DATA_NAME`
    `static ProgramExtensionTemplate` | `OPCODE_FIELD`
    `static ProgramExtensionTemplate` | `OPCODE_FIELDMAX`
    `static ProgramExtensionTemplate` | `OPCODE_FIELDMAXPIP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProcessExtension(CSVFormat theFormat)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBackwardWindowSize()`
    `String` | `getField(String fieldName, int fieldIndex)`
    `CSVFormat` | `getFormat()`
    `int` | `getForwardWindowSize()`
    `int` | `getTotalWindowSize()`
    `void` | `init(ReadCSV csv, int theBackwardWindowSize, int theForwardWindowSize)`
    `boolean` | `isDataReady()`
    `void` | `loadRow(LoadedRow row)`
    `void` | `register(FunctionFactory functions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXTENSION_DATA_NAME

          public static final String EXTENSION_DATA_NAME

      See Also:
        Constant Field Values

    - #### OPCODE_FIELD

          public static final ProgramExtensionTemplate OPCODE_FIELD

    - #### OPCODE_FIELDMAX

          public static final ProgramExtensionTemplate OPCODE_FIELDMAX

    - #### OPCODE_FIELDMAXPIP

          public static final ProgramExtensionTemplate OPCODE_FIELDMAXPIP

  - ### Constructor Detail

    - #### ProcessExtension

          public ProcessExtension(CSVFormat theFormat)

  - ### Method Detail

    - #### getField

          public String getField(String fieldName,
                        int fieldIndex)

    - #### loadRow

          public void loadRow(LoadedRow row)

    - #### init

          public void init(ReadCSV csv,
                  int theBackwardWindowSize,
                  int theForwardWindowSize)

    - #### isDataReady

          public boolean isDataReady()

    - #### getForwardWindowSize

          public int getForwardWindowSize()

    - #### getBackwardWindowSize

          public int getBackwardWindowSize()

    - #### getTotalWindowSize

          public int getTotalWindowSize()

    - #### getFormat

          public CSVFormat getFormat()

    - #### register

          public void register(FunctionFactory functions)

Copyright © 2014. All Rights Reserved.